- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# FUDaeTextureChannel Namespace Reference

Contains the texture channels and their conversion functions. More...

## Enumerations
enum | Channel { AMBIENT = 0, BUMP, DIFFUSE, DISPLACEMENT, EMISSION, FILTER, REFLECTION, REFRACTION, SHININESS, SPECULAR, SPECULAR_LEVEL, TRANSPARENT, COUNT, UNKNOWN, DEFAULT = DIFFUSE }
| A texture channel. More...
## Functions
FCOLLADA_EXPORT Channel | FromString (const fm::string &value)
| Converts the FCollada texture channel string into a texture channel.

## Detailed Description

Contains the texture channels and their conversion functions.

## Enumeration Type Documentation

enum FUDaeTextureChannel::Channel

  | A texture channel. Used by standard effects to assign textures to channels. Multi-texturing is done by assigning more than one texture per slot. Defaults to diffuse texture slot. Enumerator:
  AMBIENT | The texels will be modulated with the ambient light colors.
  BUMP | The texels will re-orient the geometric normals.
  DIFFUSE | The texels will be modulated with the non-ambient light colors.
  DISPLACEMENT | The texels will displace the pixel positions.
  EMISSION | The texels will be added to the final color directly.
  FILTER | Max-specific.
  REFLECTION | The texels will modify the pixel reflection factor.
  REFRACTION | The texels will modify the pixel refraction factor.
  SHININESS | The texels will modify the specular shininess of the pixel.
  SPECULAR | The texels will be modulated with the specular light colors.
  SPECULAR_LEVEL | The texels will be modulated with the specular light colors.
  TRANSPARENT | The texels will be modify the final color alpha.
  COUNT | The number of texture channels.
  UNKNOWN | An unknown texture channel.

## Function Documentation

FCOLLADA_EXPORT Channel FUDaeTextureChannel::FromString | ( | const fm::string & | value | ) | `[inline]`

  | Converts the FCollada texture channel string into a texture channel. Parameters:
  | value | The COLLADA interpolation type string.
Returns: The interpolation type.